Brault Developers

Retrieve a transfer

Regionalus.api.brault.appfollows the region selector in the top bar
GET
/v1/transfers/{transferId}

With its files and folders, and a fresh zip URL.

AuthorizationBearer <token>

API key from Settings → Developers

In: header

Path Parameters

transferId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/transfers/string"
{  "object": "transfer",  "id": "string",  "url": "string",  "status": "awaiting_uploads",  "size": 0,  "file_count": 0,  "folder_count": 0,  "password_protected": true,  "expires_at": "2019-08-24T14:15:22Z",  "view_count": 0,  "download_count": 0,  "zip_url": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "files": [    {      "name": "string",      "size": 0,      "mime": "string",      "path": "string"    }  ],  "folders": [    {      "name": "string",      "path": "string"    }  ]}